## org.apache.cocoon.logger
Class AbstractLogger

    java.lang.Object
      |
      +--org.apache.cocoon.logger.AbstractLogger

All Implemented Interfaces:
  Logger

Direct Known Subclasses:
  ServletLogger, StdioLogger

public abstract class AbstractLogger
extends java.lang.Object
implements Logger

This class must be implemented by the services that implement logging capabilities.

Version:
  $Revision: 1.2 $ $Date: 2000/03/30 00:36:11 $
Author:
  Stefano Mazzocchi

Field Summary
`protected int` `loglevel`

Fields inherited from interface org.apache.cocoon.logger.Logger
`CRITICAL, DEBUG, EMERGENCY, ERROR, INFO, WARNING`

Constructor Summary
`AbstractLogger()`

Method Summary
`int` `getLevel()`
`protected abstract void` `log(java.lang.Exception exception, java.lang.String message)`
`void` `log(java.lang.Exception exception, java.lang.String message, int level)`
`void` `log(java.lang.Object originator, java.lang.Exception exception, java.lang.String message, int level)`
`void` `log(java.lang.Object originator, java.lang.String message, int level)`
`protected abstract void` `log(java.lang.String message)`
`void` `log(java.lang.String message, int level)`
`protected void` `setLevel(int level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### loglevel

    protected int loglevel

Constructor Detail

### AbstractLogger

    public AbstractLogger()

Method Detail

### setLevel

    protected void setLevel(int level)

### getLevel

    public int getLevel()

  Specified by:
    `getLevel` in interface `Logger`

### log

    public void log(java.lang.String message,
                    int level)

  Specified by:
    `log` in interface `Logger`

### log

    public void log(java.lang.Exception exception,
                    java.lang.String message,
                    int level)

  Specified by:
    `log` in interface `Logger`

### log

    public void log(java.lang.Object originator,
                    java.lang.String message,
                    int level)

  Specified by:
    `log` in interface `Logger`

### log

    public void log(java.lang.Object originator,
                    java.lang.Exception exception,
                    java.lang.String message,
                    int level)

  Specified by:
    `log` in interface `Logger`

### log

    protected abstract void log(java.lang.String message)

### log

    protected abstract void log(java.lang.Exception exception,
                                java.lang.String message)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.